------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]剧情测试脚本
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------

local LuaSceneScript = {
    -- 测试用脚本，请根据实际数据修改
    [1] = { file="Script/DemoScript.lua", },
	[2] = { file="Script/WolfWarriors.lua", },
	[3] = { file="Script/PantherWarriors.lua", },	
	[4] = { file="Script/LionWarriors.lua", },
	[5] = { file="Script/TigerWarriors.lua", },
	[6] = { file="Script/KingWarriors.lua", },
	[7] = { file="Script/BaibingSpectrum.lua", },
	[8] = { file="Script/KillwolfKing.lua", },
	[9] = { file="Script/KillBlackLeopardKing.lua", },
	[10] = { file="Script/KillLionKing.lua", },
	[11] = { file="Script/KillTiger.lua", },
	[12] = { file="Script/KillWizard.lua", },
	[13] = { file="Script/SpringFestivalMainLine2020First.lua", },
	[14] = { file="Script/ValDayEnterPrison.lua", },
	[15] = { file="Script/ValDayKillMonster.lua", },
	[16] = { file="Script/ValentinePart2One.lua", },
	[17] = { file="Script/ValentinePart2Tow.lua", },
	[18] = { file="Script/ValentinePart2Three.lua", },
	[19] = { file="Script/ValentinePart2TowFour.lua", },
	[20] = { file="Script/ValentinePart2TowFive.lua", },
	[21] = { file="Script/ValentinePart2TowSix.lua", },
	[22] = { file="Script/ValentinePart2TowSeven.lua", },
	[23] = { file="Script/NinjaAwakeForward/Chapter1Start.lua"},
    [24] = { file="Script/NinjaAwakeForward/Chapter1End.lua"},
    [25] = { file="Script/NinjaAwakeForward/Chapter2Start.lua"},
    [26] = { file="Script/NinjaAwakeForward/Chapter2End.lua"},
    [27] = { file="Script/NinjaAwakeForward/Chapter3.lua"},
	[28] = { file="Script/NinjaQuest/NinjaQuestPlot1.lua", },
	[29] = { file="Script/NinjaQuest/NinjaQuestPlot2.lua", },
	[30] = { file="Script/NinjaQuest/NinjaQuestPlot3.lua", },
	[31] = { file="Script/NinjaQuest/NinjaQuestPlot4.lua", },
	[32] = { file="Script/NinjaQuest/NinjaQuestPlot5.lua", },
	[33] = { file="Script/NinjaQuest/NinjaQuestPlot6.lua", },
	[34] = { file="Script/NinjaQuest/NinjaQuestPlot7.lua", },
	[35] = { file="Script/NinjaQuest/NinjaQuestPlot8.lua", },
	[36] = { file="Script/NinjaQuest/NinjaQuestPlot9.lua", },
	[37] = { file="Script/NinjaQuest/NinjaQuestPlot10.lua", },
	[38] = { file="Script/NinjaQuest/NinjaQuestPlot11.lua", },
	[39] = { file="Script/NinjaQuest/NinjaQuestPlot12.lua", },
	[40] = { file="Script/NinjaQuest/NinjaQuestPlot13.lua", },
	[41] = { file="Script/NinjaQuest/NinjaQuestPlot14.lua", },
	[42] = { file="Script/NinjaQuest/NinjaQuestPlot15.lua", },
	[43] = { file="Script/NinjaQuest/NinjaQuestPlot16.lua", },
	[44] = { file="Script/NinjaQuest/NinjaQuestPlot17.lua", },
	[45] = { file="Script/NinjaQuest/NinjaQuestPlot18.lua", },
	[46] = { file="Script/NinjaQuest/NinjaQuestPlot19.lua", },
	[47] = { file="Script/NinjaQuest/NinjaQuestPlot20.lua", },
	[48] = { file="Script/StrengthCopy.lua", },
}

-- 启用脚本
function LuaScriptMgr_LoadScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return
    end

    CppScriptMgr:LoadLua(tScript.file)
end

local DLG_CAN_SHOW = {
[958] = true,
[966] = true,
}

-- 脚本剧情中是否可显示窗口
function LuaScriptMgr_IsDlgCanShow(id)
    local ret = DLG_CAN_SHOW[id]

    if (ret == nil) then
        return false
    end

    return ret
end

function LuaScriptMgr_Unload()
    DLG_CAN_SHOW = nil
end

function LuaScriptMgr_GetScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return ""
    end

    return tScript.file
end
